PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Bank Account

This endpoint retrieves an employee's bank accounts. The response object is region-aware. Fields not applicable to the employee's payroll region will not be returned.

GET
https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/bank_accounts

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

employee_iduuidrequired

The ID of the employee to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of bank account records. Each entry in the array is a separate bank account object. If there is no more bank accounts, the resulting array will be empty.

dataobject
itemsobject[]
currencystring
🇲🇾 MY
🇸🇬 SG

The currency code for the bank account (e.g., "SGD").

account_namestring
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK
🇨🇦 CA

The name of the bank account.

account_typestring
🇦🇺 AU
🇬🇧 UK

The type of bank account.

account_numberstring

The account number of the bank account.

bsbstring
🇦🇺 AU
🇬🇧 UK

The BSB (Bank State Branch) number for Australian bank accounts.

amountstring

The amount associated with the bank account.

primary_accountstring
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK

Indicates whether this is the primary bank account.

lock_levelstring
🇦🇺 AU
🇳🇿 NZ
🇬🇧 UK
🇨🇦 CA

The lock level for the bank account (e.g., employee).

external_idstring
🇦🇺 AU
🇳🇿 NZ

External identifier for the bank account.

statement_textstring
🇦🇺 AU

Text that appears on bank statements.

roll_numberstring

The roll number for the bank account.

bank_branchstring

The bank branch information.

bank_namestring
🇲🇾 MY
🇸🇬 SG

The name of the bank.

bank_codestring

The bank code.

bank_swift_bicstring
🇲🇾 MY
🇸🇬 SG

The SWIFT/BIC code for the bank.

bank_addressstring
🇲🇾 MY
🇸🇬 SG

The address of the bank.

branch_namestring
🇲🇾 MY
🇸🇬 SG

The name of the bank branch.

branch_codestring

The branch code.

institute_numberstring
🇨🇦 CA

The institute number for the bank.

payment_methodstring
🇨🇦 CA

The payment method associated with the account.

transit_numberstring
🇨🇦 CA

The transit number for the bank account.

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/bank_accounts" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "currency": "AUD",        "account_name": "account_name",        "account_type": "account_type",        "account_number": "account_number",        "bsb": "cbs",        "amount": "1000",        "primary_account": "primary_account",        "lock_level": "employee",        "external_id": "external_id",        "statement_text": "statement text",        "roll_number": "roll_number",        "bank_branch": "bank_branch",        "bank_name": "bank_name",        "bank_code": "bank_code",        "bank_swift_bic": "bank_swift_bic",        "bank_address": "bank_address",        "branch_name": "branch_name",        "branch_code": "branch_code",        "institute_number": "institute_number",        "payment_method": "payment_method",        "transit_number": "transit_number"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}